Subject: Re: XF4, SysRq, VT, mouse buttons, Keymaps and all that

From: Martin Costabel <[email-masked]>
Date: Thu, 19 Apr 2001 21:32:18 +0200

Iain Sandoe wrote:
[]
> OK.  What's happened is that the VT combination has shifted from
> <CMD>-<CNTL>-Fx to <ALT>-<CNTL>-Fx ... all OK now.  (the config was correct)
[]
> Additionally, like VT-switching, the modifier key appears to have changed to
> <ALT> from <CMD>...
[]
> I guess that I must have missed a place to look for the changes that
> occurred to the modifier keys etc.... perhaps Kaoru should add this
> information to his ftp directory.  If people who monitor the -dev list don't
> know, what chance have Users got ;-?

The inversion of Alt and Cmd is actually mentioned in one if the
LinuxPPC2000Q4 Readme files.
And it is one of the first things I am always changing back in the
keymaps. There is really no sane reason for it, and you *have* to undo
it if you want a modifier key to get non-US characters on a US keyboard
or an Apple-like keyboard layout on a non-US keyboard.

--
Martin

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/